Bug 34869 - No time synchronisation due to missing rdate
No time synchronisation due to missing rdate
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-19 14:33 CEST by Moritz Muehlenhoff
Modified: 2014-06-12 09:19 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-05-19 14:33:19 CEST
The login on a UCC client joined against a heavily time-skewed DC master failed.

The time should normally be synched, but rdate is missing at least in the thin client image:

if [ -x /usr/bin/rdate ]; then
        echo -n "Sync time "
        /usr/bin/rdate $DCNAME >/dev/null 2>&1
        echo -e "\033[60Gdone"
fi
Comment 1 Moritz Muehlenhoff univentionstaff 2014-05-19 15:24:27 CEST
I've added a dependency in univention-ucc-join. 

For the QA: The system time on the UCC system should be identical to the time on the DC master.
Comment 2 Erik Damrose univentionstaff 2014-05-20 16:52:02 CEST
Verified: Dependency added, time is set correctly while joining. Tested with thinclient and desktop image.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:57 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".